import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-c28d44c0.js';
export { el as ArgumentsType, d4 as AsyncMutex, dp as AsyncReturnType, aa as BinInput, B as BinaryEncoder, n as CRYPTO_DEFAULT_ALG, o as CRYPTO_DEFAULT_DERIVE_ALG, p as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dW as Channel, dV as ChannelMessageEvent, e8 as CryptoEncoder, aV as DAY_MS, aQ as Day, aX as DayInput, aP as DayInputLegacy, aW as DayValue, bi as DecimalInput, bh as DecimalValue, e0 as DefaultListener, dz as DefaultLogger, br as Difference, bq as DifferenceType, cX as Disposer, cW as DisposerFunction, e2 as Emitter, d_ as EmitterAllHandler, dZ as EmitterHandler, e1 as EmitterSubscriberOptions, e5 as Encoder, bR as FilterFunction, e7 as JsonEncoder, d$ as ListenerSignature, dX as LocalChannel, dA as LogLevel, dI as LogLevelAlias, dJ as LogLevelAliasKey, dB as LogLevelAll, dC as LogLevelDebug, dF as LogLevelError, dG as LogLevelFatal, dD as LogLevelInfo, dH as LogLevelOff, dE as LogLevelWarn, dK as LogMessage, dN as LoggerConsoleHandler, dO as LoggerContext, dL as LoggerContextInterface, dU as LoggerMemoryHandler, bS as MapperFunction, eJ as MemStorage, eI as MemStorageOptions, eb as Message, e9 as MessageAction, ef as MessageDefinitions, eg as MessageHub, ea as MessageResult, ed as MessagesDefaultMethods, ee as MessagesMethods, ec as MessagesOptions, d3 as Mutex, eP as NestedArray, e6 as NoopEncoder, d8 as PoolConfig, db as PoolTask, dc as PoolTaskEvents, d9 as PoolTaskFn, d7 as PoolTaskIdConflictResolution, da as PoolTaskState, bv as Primitive, de as Progress, ej as PubSub, ep as RPCFn, eo as RPCOptions, en as RPCOptionsBasic, eq as RPCReturn, aG as RenderMessagesOptions, em as ReturnType, cf as RoundingMode, ds as SerialQueue, cq as SortableItem, dr as TaskEvents, dq as TaskFn, aO as Uint8ArrayToDataUri, aq as Uint8ArrayToHexDump, ap as Uint8ArrayToJson, ae as Uint8ArrayToString, cM as Uint8ArrayToWords, cV as UseDefer, cT as UseDispose, cR as UseDisposeConfig, d2 as UseDisposeWithUtils, et as UseRPCHubType, cQ as XRX, ac as _decodeUtf8Polyfill, ab as _encodeUtf8Polyfill, $ as _useBase, Y as arrayAvg, Z as arrayBatches, M as arrayEmptyInPlace, I as arrayFilterInPlace, D as arrayFlatten, E as arrayIntersection, Q as arrayIsEqual, V as arrayMax, W as arrayMin, z as arrayMinus, U as arrayRandomElement, G as arrayRemoveElement, H as arraySetElement, S as arrayShuffle, T as arrayShuffleForce, R as arrayShuffleInPlace, N as arraySorted, P as arraySortedNumbers, X as arraySum, F as arraySymmetricDifference, K as arrayToggleInPlace, A as arrayUnion, y as arrayUnique, d as assert, e as assertCondition, c2 as avg, c0 as between, k as bitfield, l as blobToArrayBuffer, aN as blobToDataUri, m as blobToUint8Array, dM as browserSelectColorByName, cI as cloneJsonObject, cH as cloneObject, cb as cmp, ca as composeOrderby, _ as createArray, j as createBinaryStreamDecoder, i as createBinaryStreamEncoder, dY as createLocalChannelPair, df as createPromise, eh as createPromiseProxy, w as csvParse, x as csvParseToObjects, v as csvStringify, aM as dataUriToBlob, aL as dataUriToMimeType, aK as dataUriToUint8Array, aU as dateStringToDays, aT as day, a_ as dayDay, be as dayDiff, b2 as dayFromAny, b4 as dayFromDate, b5 as dayFromDateGMT, b9 as dayFromParts, ba as dayFromString, b7 as dayFromTimestamp, b1 as dayFromToday, bg as dayIterator, aZ as dayMonth, bb as dayMonthStart, bd as dayOffset, bf as dayRange, b0 as dayToDate, b3 as dayToDateGMT, a$ as dayToParts, b8 as dayToString, b6 as dayToTimestamp, aY as dayYear, bc as dayYearStart, du as debounce, cw as deburr, bj as decimal, bm as decimalCentsPart, bk as decimalFromCents, bl as decimalToCents, a4 as decodeBase16, a2 as decodeBase32, a6 as decodeBase58, a8 as decodeBase62, h as decodeJson, u as decrypt, bn as deepEqual, bp as deepMerge, bo as deepStripUndefinedInPlace, s as deriveKeyPbkdf2, eF as detect, bs as diffObjects, q as digest, eO as duration, cG as empty, a3 as encodeBase16, a1 as encodeBase32, a5 as encodeBase58, a7 as encodeBase62, g as encodeJson, cz as encodeQuery, t as encrypt, cs as endSortWeight, cB as ensureKey, cC as ensureKeyAsync, an as equalBinary, bt as escapeHTML, ce as escapeRegExp, a9 as estimateSizeForBase, f as fatal, ew as fetchBasic, ex as fetchJson, eB as fetchOptionsBasicAuth, ez as fetchOptionsFormURLEncoded, eA as fetchOptionsJson, ey as fetchText, cE as first, aJ as fixBrokenUth8String, aR as forEachDay, cL as forTimes, aH as formatMessages, eL as formatMilliseconds, al as fromBase64, am as fromBase64String, au as fromCamelCase, ai as fromHex, eE as getGlobal, dv as getGlobalContext, e3 as getGlobalEmitter, dx as getGlobalLogger, dy as getGlobalLoggerIfExists, dP as getNamespaceFilterString, eD as getNavigator, eN as getPerformanceTimestamp, bX as getSecureRandom, bY as getSecureRandomIfPossible, eK as getTimestamp, eC as getWindow, eu as httpMethod, dh as immediate, by as isArray, bF as isBoolean, eG as isBrowser, bK as isEmpty, ch as isEven, cg as isHalf, bD as isInteger, dw as isLocalHost, bL as isNotEmpty, bJ as isNotNull, bH as isNull, bG as isNullOrUndefined, bC as isNumber, bw as isObject, c4 as isPrime, c3 as isPrimeRX, bx as isPrimitive, dm as isPromise, bz as isRecord, bA as isRecordPlain, bE as isSafeInteger, bB as isString, dj as isTimeout, bN as isTruthy, bI as isUint8Array, bM as isValue, dT as joinLogStrings, ag as joinToUint8Array, bQ as jsonStringify, bP as jsonStringifySafe, bO as jsonStringifySorted, ao as jsonToUint8Array, cF as last, e4 as lazyListener, cx as linkifyPlainText, bV as listDistinctUnion, bU as listGroupBy, bW as listOfKey, bT as listQuery, cJ as memoize, cK as memoizeAsync, ct as moveSortWeight, eQ as noop, c8 as objectIsEmpty, c6 as objectMap, c7 as objectMergeDisposable, ev as parseBasicAuth, eM as parseDate, dR as parseLogLevel, c9 as parseOrderby, cA as parseQuery, dn as promisify, fa as qid, bZ as randomBoolean, b$ as randomFloat, b_ as randomInt, r as randomUint8Array, cP as regExpEscape, cO as regExpString, aI as renderMessages, cj as roundDown, cm as roundHalfAwayFromZero, cn as roundHalfDown, co as roundHalfEven, cl as roundHalfOdd, cp as roundHalfTowardsZero, ck as roundHalfUp, ci as roundUp, c5 as seededRandom, f4 as setUuidDefaultEncoding, cD as size, dg as sleep, cu as sortedItems, cc as sortedOrderby, cr as startSortWeight, av as stringToBoolean, ax as stringToFloat, aw as stringToInteger, ad as stringToUInt8Array, f0 as suid, e$ as suidBytes, f2 as suidBytesDate, f1 as suidDate, c1 as sum, dt as throttle, di as timeout, aj as toBase64, ak as toBase64Url, aF as toBool, ar as toCamelCase, as as toCapitalize, at as toCapitalizeWords, aC as toFloat, ah as toHex, cy as toHumanReadableUrl, aD as toInt, aE as toString, af as toUint8Array, cd as toValidFilename, aS as today, dk as tryTimeout, f9 as uname, bu as unescapeHTML, d6 as useAsyncMutex, a0 as useBase, cU as useDefer, cS as useDispose, d1 as useDisposeWithUtils, c$ as useEventListener, d0 as useEventListenerOnce, eH as useExitHandler, cZ as useInterval, c_ as useIntervalPause, dS as useLevelFilter, ei as useMessageHub, d5 as useMutex, dQ as useNamespaceFilter, dd as usePool, ek as usePubSub, er as useRPC, es as useRPCHub, cv as useSorted, cY as useTimeout, f5 as uuid, f3 as uuid32bit, eV as uuidB32, eS as uuidB62, eR as uuidBytes, f6 as uuidDecode, eX as uuidDecodeB32, eU as uuidDecodeB62, e_ as uuidDecodeV4, f7 as uuidEncode, eW as uuidEncodeB32, eT as uuidEncodeB62, eZ as uuidEncodeV4, f8 as uuidIsValid, eY as uuidv4, ay as valueToBoolean, aA as valueToFloat, az as valueToInteger, aB as valueToString, dl as waitOn, cN as wordsToUint8Array } from './uuid-c28d44c0.js';

/** @deprecated use fromBase64 instead */
declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

/**
 * Directly use console calls, this has the advantage to show the original source of the call
 * i.e. it is possible to jump right into the code from the browser console logs. But other
 * loggers will not work any more.
 */
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function browserSupportsColors(): boolean;

declare function Logger(name?: string, level?: LogLevelAliasType): LoggerInterface;

export { Json, LocalStorage, LocalStorageOptions, LogHandler, LogHandlerOptions, LogLevelAliasType, Logger, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, LoggerInterface, ObjectStorage, activateConsoleDebug, browserSupportsColors, gravatarURLByEmail, urlBase64ToUint8Array };
